/*********************************************************************
 *
 * File:         control_clbks.c
 *
 * Description:  Messages callbacks
 *
 * Author:       Tomasz Stachowiak, NPAC
 *
 * Date:         10-14-96
 *
 *********************************************************************/
#include "stdafx.h"

#include <stdio.h>

#include "global.h"
#include "session_manage.h"
#include "BVtango.h"
#include "BVtangoDlg.h"
#include "Conference.h"

FILE *log;

/**************************************************************************
 *
 * Callbacks for local control messages
 *
 **************************************************************************/

/* Session messages */

void ncsSessionCreate()
{
  DWORD time;
  int id;
  DWORD leng = 20;
  Participant initiator;

  initiator.handle = 0;
  if(!GetUserName(initiator.user, &leng))
	  strcpy(initiator.user, "unknown");
  initiator.host = gethostid();
  
  time = GetTickCount();
  id = time % 256;
  setSessionID(id);

  sessionSetLocalMember(0);

  sessionCreate(&initiator);
}


void ncsSessionNewFromServer(int no, Participant *part)
{
  part->handle = 0;
  ncsSessionReset();
  sessionSetLocalMember(no-1);
  sessionCreate(part);
}

void ncsSessionNewPartFromServer(Participant *part)
{
	part->handle = sessionGetNoMembers();
	sessionAddMember(part);
}

void ncsSessionDeletePartFromServer(Participant *part)
{
	sessionDeletePart(part);
}


void ncsSessionReset()
{
	int i;
	MsgHeader hdr;

	for(i=0; i<MAX_MEMBERS; i++)
	{
		if(getReceiverData(i, &hdr))
		{
			sessionDeleteMember(i);
		}
    }
	//sendAppMessage(-1, indLocalAppQuit, NULL, 0);
	sessionInit();
}

/**************************************************************************
 *
 * Callbacks for new control messages
 *
 **************************************************************************/
void ncsSessionInit()
{
  sessionInit();
}


