/*********************************************************************
 *
 * File:         message_send.c
 *
 * Description:  Messages send module for conference engine
 *
 * Author:       Tomasz Stachowiak, NPAC
 *
 * Date:         02-06-97
 *
 *********************************************************************/
#include "stdafx.h"

#include <stdio.h>

#include "global.h"
#include "session_manage.h"
#include "BVtango.h"
#include "BVtangoDlg.h"
#include "Conference.h"


extern char localHost[];   /* local host name */

extern FILE *log;
extern int tmpSocket;
extern int inviteSocket;
extern int mbrSocket[];

int getHostFullName(char *name, int len)
{
  char tmp1[100];
  struct hostent *hostinfo;
  char *tmp;
  struct in_addr addr;
  
  gethostname(tmp1, 100);
  
  hostinfo = gethostbyname(tmp1);
  if(hostinfo == NULL)
    {
	  addr.s_addr = gethostid();
	  tmp = inet_ntoa(addr);
	  if(tmp == NULL)
		return 0;
	  strcpy(name, tmp);
	  return 1;
    }
  
  strcpy(name, hostinfo->h_name);
  
  return 1;
}

int gethostid()
{
  char tmp[100];
  struct hostent *hostinfo;
  
  gethostname(tmp, 100);
  
  hostinfo = gethostbyname(tmp);
  if(hostinfo == NULL)
    {
      return -1;
    }

  return *(int *)hostinfo->h_addr;
}


int getHostName(int id, char *host)
{
  struct hostent *hostinfo;
  char *tmp;
  struct in_addr address;
  
  hostinfo = gethostbyaddr((const char *)&id, sizeof(int), AF_INET);
  if(hostinfo == NULL)
    {
	  address.s_addr = id;
	  tmp = inet_ntoa(address);
	  if(tmp == NULL)
		return 0;
	  strcpy(host, tmp);
	  return 1;
    }
  
  strcpy(host, hostinfo->h_name);
  return 1;
}


int getHostID(char *host)
{
	int id;
	struct hostent *hostinfo;
  
  hostinfo = gethostbyname(host);
  if(hostinfo == NULL)
    {
      return 0;
    }
  
   id = *(long *)hostinfo->h_addr;
  return id;
}


